Subject: [Ltru] Re:[psg.com #1109] IETF/LC case canonicalization in registry (gen-art 3)

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 5 Sep 2005 20:32:19 -0700

Hi -

As a technical contributor ...

Agree with the substance, minor suggestions on the words used...

> From: "Addison Phillips" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Cc: "Elwyn Davies" <[email-masked]>
> Sent: Wednesday, August 31, 2005 2:04 PM
> Subject: [Ltru] case canonicalization in registry (gen-art #3)
>
> > > Irritant:
> > > Early in the document it is specifically set out that language tags
> > > are case insensitive and should be normally represented in lower case.
> > [Addison Phillips]
> >
> > This is NOT correct. It actually says:
> >
> > --
> > However, in the tags defined by this document, the uppercase US-ASCII
> > letters in the range 'A' through 'Z' are considered equivalent and
> > mapped directly to their US-ASCII lowercase equivalents in the range
> > 'a' through 'z'. Thus the tag "mn-Cyrl-MN" is not distinct from
> > "MN-cYRL-mn" or "mN- cYrL-Mn" (or any other combination) and each of
> > these variations conveys the same meaning: Mongolian written in the
> > Cyrillic script as used in Mongolia.
> > --
> >
> > The document goes to great lengths to say that case distinctions must
> > not be considered when processing language tags. However, the
> > canonical form follows the ISO standards: this practice has long
> > standing in the community at large and is enshrined in Section 4.4
> > ("Canonicalization of Language Tags") thusly:
> >
> > --
> > When performing canonicalization of language tags, processors MAY
> > regularize the case of the subtags (that is, this process is
> > OPTIONAL), following the case used in the registry. Note that this
> > corresponds to the following casing rules: uppercase all non-initial
> > two-letter subtags; titlecase all non-initial four-letter subtags; lowercase everything else.
> > --
> >
> > > However, because the corresponding ISO documents use title case for
> > > script codes and upper case for region codes, this representation
> > > has been used in the normative text (ss 2.2.3 and 2.2.4) and
> > > registrations of these codes MUST use this representation (s3.2).
> > > This struck me as unecessary bureaucracy for registrants.  It would
> > > seem to me enough to RECOMMEND that the registry conform to the case
> > > patterns and otherwise allow users and registrants whatever case they choose.
> > [Addison Phillips]
> >
> > This bureaucracy only applies to independently registered values
> > (variants), in practice, and isn't binding on those. The underlying
> > ISO standards, when mirrored, won't be an issue, since their
> > assignments will already come in the canonical format.
>
> Proposed solution to lack of clarity about case:
>
> Insert into Section 2.1 the following additional paragraph following the one about case:
>
> --
> <t>Although case distinctions do not carry meaning in language tags,
> consistent formatting and presentation of the tags will aid users.
> The format of the tags and subtags in the registry SHOULD be considered
> the recommended format.

Suggest: The format for tags and subtags used in the registry is RECOMMENDED.

> This format corresponds to uppercasing all non-initial two-letter subtags
> and titlecasing all non-initial four-letter subtags.</t>

Suggest:

In this format, all non-initial two-letter subtags are uppercase,
all non-initial four-letter subtags are titlecase, and all others
are lowercase.
(Did I get it right?  Since the new text (below) requires the LSR to
adjust Subtag fields according to this rule, it should be exhaustive,
otherwise an inappropriate upper- or titlecase could get through.)

> --
>
> Proposed solution to the bureaucracy issue (for registrants):
>
> Change this text:
>
> --
> <t>Values in the 'Subtag' field MUST be lowercase except as
> provided for in <xref target="ianaformat"></xref>.</t>
> --
>
> To read thusly:
>
> --
> <t>Before forwarding a new registration to IANA, the Language
> Subtag Review MUST ensure that values in the 'Subtag' field
> match case according to the description in <xref target="ianaformat"></xref>.</t>
> --
...

Suggest:
<t>Before forwarding registrations to IANA, the Language
Subtag Review MUST ensure that 'Subtag' field values
are in the format described in <xref target="ianaformat"></xref>.</t>

(When I read "match case" I had to puzzle a bit before I could
figure out what was intended.)

Randy

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru